"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parsePostgreSqlWithoutCursor = exports.parsePostgreSql = exports.parseGenericSqlWithoutCursor = exports.parseGenericSql = exports.Parser = exports.cursorSymbol = void 0;
const genericAutocompleteParser_1 = require("./parsers/generic/genericAutocompleteParser");
const postgresqlAutocompleteParser_1 = require("./parsers/postgresql/postgresqlAutocompleteParser");
exports.cursorSymbol = '†';
class Parser {
}
exports.Parser = Parser;
function parseGenericSql(queryBeforeCursor, queryAfterCursor) {
    let parser = genericAutocompleteParser_1.genericAutocompleteParser;
    return parser.parseSql(queryBeforeCursor, queryAfterCursor);
}
exports.parseGenericSql = parseGenericSql;
function parseGenericSqlWithoutCursor(query) {
    // If our finished query is "SELECT * FROM|" and we try to parse it, parser thinks that we still haven't finished writing it and doesn't show some errors.
    // In order to truly complete a finished query, we need to add space to it like so "SELECT * FROM |".
    return parseGenericSql(query + ' ', '');
}
exports.parseGenericSqlWithoutCursor = parseGenericSqlWithoutCursor;
function parsePostgreSql(queryBeforeCursor, queryAfterCursor) {
    let parser = postgresqlAutocompleteParser_1.postgresqlAutocompleteParser;
    return parser.parseSql(queryBeforeCursor, queryAfterCursor);
}
exports.parsePostgreSql = parsePostgreSql;
function parsePostgreSqlWithoutCursor(query) {
    // If our finished query is "SELECT * FROM|" and we try to parse it, parser thinks that we still haven't finished writing it and doesn't show some errors.
    // In order to truly complete a finished query, we need to add space to it like so "SELECT * FROM |".
    return parsePostgreSql(query + ' ', '');
}
exports.parsePostgreSqlWithoutCursor = parsePostgreSqlWithoutCursor;
